Description

The text in the description field of a custom field is displayed as a tooltip. In Redmine 4.1, all line breaks in the descriptions are

ignored when showing a tooltip.

 cf-description.png 

Redmine 4.1:

 

Redmine 4.0:

 

Related issues:

Related to Redmine - Patch #31441: Show elements titles using jQuery UI tooltips Closed

Associated revisions

Revision 21222 - 2021-09-24 04:05 - Go MAEDA

Line breaks in the description of a custom field are ignored in a tooltip (#34834).

Patch by Yuichi HARADA.

Revision 21223 - 2021-09-29 23:54 - Go MAEDA

Merged r21222 from trunk to 4.2-stable (#34834).

Revision 21224 - 2021-09-29 23:55 - Go MAEDA

Merged r21222 from trunk to 4.1-stable (#34834).

History

#1 - 2021-03-04 08:01 - Go MAEDA

- Related to Patch #31441: Show elements titles using jQuery UI tooltips added

#2 - 2021-03-21 07:05 - Yuuki NARA

By specifying content instead of title in tooltip, it was possible to reflect including line breaks.

I'm not used to JQuely, so I would appreciate it if you could fix any problems.

public/javascripts/application.js
$(function () {

  $("[title]:not(.no-tooltip)").tooltip({

+    content: function() {

+      return $(title)

+    },

    show: {

      delay: 400

    },

    position: {

      my: "center bottom-5",

      at: "center top" 

    }

  });

});

#3 - 2021-09-09 02:51 - Yuichi HARADA

- File tooltip-after-patching.png added

- File 34834.patch added

Line breaks will be reflected in a tooltip by using the following patch.

diff --git a/public/stylesheets/application.css b/public/stylesheets/application.css

index 9f6b4dc3d7..791ef4c23d 100644

--- a/public/stylesheets/application.css

+++ b/public/stylesheets/application.css

@@ -1493,7 +1493,8 @@ td.gantt_selected_column .gantt_hdr,.gantt_selected_column_container {

   color: #fff;

   border-radius: 3px;

   border: 0;

-  box-shadow: none

+  box-shadow: none;

+  white-space: pre-wrap;

 }

 /***** Icons *****/

 Redmine-trunk: (r21217)

 tooltip-after-patching.png 

#4 - 2021-09-23 14:51 - Go MAEDA

- Target version set to 4.1.5

Setting the target version to 4.1.5.

#5 - 2021-09-24 04:06 - Go MAEDA

- Subject changed from Line breaks in the description field of custom fields are ignored to Line breaks in the description of a custom field are ignored

in a tooltip

- Status changed from New to Resolved

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you.

#6 - 2021-09-29 23:55 - Go MAEDA

- Status changed from Resolved to Closed
